## cherrytree 0.99.10-1.antix1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)

project(cherrytree)
set(CT_VERSION "0.99.10")

# APPLE has issues with installing in /usr/bin because of SIP
if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT AND APPLE)
  set(CMAKE_INSTALL_PREFIX "/usr/local" CACHE PATH "..." FORCE)
elseif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  set(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
endif()

if(NOT PYTHON_EXEC)
  set(PYTHON_EXEC "python3")
endif(NOT PYTHON_EXEC)

option(USE_NLS "Add locales support" ON)

# used to install locale, packagers might overwrite this
if(USE_NLS)
  if(NOT PACKAGE_LOCALE_DIR)
    set(PACKAGE_LOCALE_DIR "share/locale")
  endif(NOT PACKAGE_LOCALE_DIR)
endif()

# used to install data, packagers might overwrite this
if(NOT SHARE_INSTALL)
  set(SHARE_INSTALL "share" CACHE STRING "Data file install path. Must be a relative path (from CMAKE_INSTALL_PREFIX), with no trailing slash.")
endif(NOT SHARE_INSTALL)
set(CHERRYTREE_SHARE_INSTALL "${SHARE_INSTALL}/cherrytree")


set(CPACK_PACKAGE_NAME "cherrytree")
set(CPACK_PACKAGE_CONTACT "Giuseppe Penone <giuspen@gmail.com>")
set(CPACK_PACKAGE_VENDOR ${CPACK_PACKAGE_CONTACT})
set(CPACK_PACKAGE_VERSION ${CT_VERSION})
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README.md")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "A Hierarchical Note Taking Application, featuring Rich Text and Syntax Highlighting.")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/license.txt")
set(CPACK_PACKAGING_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX})
set(CPACK_PACKAGE_CHECKSUM "SHA256")
set(CPACK_PACKAGE_EXECUTABLES ${CPACK_PACKAGE_CONTACT})
set(CPACK_CREATE_DESKTOP_LINKS ${CPACK_PACKAGE_CONTACT})
set(CPACK_PACKAGE_INSTALL_DIRECTORY ${CPACK_PACKAGE_CONTACT})
set(CPACK_STRIP_FILES TRUE)

set(CPACK_DEBIAN_PACKAGE_DEPENDS "libgtkmm-3.0-1v5, libgtksourceviewmm-3.0-0v5, libxml++2.6-2v5, libsqlite3-0, libgspell-1-2, libcurl4")
set(CPACK_DEBIAN_PACKAGE_HOMEPAGE "https://www.giuspen.com/cherrytree/")
#set(CPACK_DEBIAN_PACKAGE_SECTION "graphics") which one?
set(CPACK_DEBIAN_PACKAGE_SHLIBDEPS ON)

include(CPack)


set(CMAKE_CXX_STANDARD 17)

# temporarily disable these warnings: Only <gtksourceview/gtksource.h> can be included directly.
if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
  add_compile_options(-Wno-cpp)
elseif(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options("-Wno-#warnings")
  add_compile_options(-Wthread-safety)
endif()


if(APPLE)
  link_directories(/usr/local/lib /usr/local/opt/gettext/lib)
  include_directories(/usr/local/opt/gettext/include)
  set(CMAKE_MACOSX_RPATH 1)
  set(ENV{PKG_CONFIG_PATH} "$ENV{PKG_CONFIG_PATH}:/usr/local/lib/pkgconfig:/opt/X11/lib/pkgconfig:/usr/local/opt/libxml2/lib/pkgconfig:/usr/local/opt/libxml++/lib/pkgconfig")
  # to fix libxml++2.6 compilation
  add_compile_options(-D_LIBCPP_ENABLE_CXX17_REMOVED_AUTO_PTR)
endif()

add_compile_options(-Wno-deprecated -Wno-deprecated-declarations)
if(CMAKE_BUILD_TYPE STREQUAL "")
  add_compile_options(-O3)
elseif (CMAKE_BUILD_TYPE STREQUAL "Debug")
  add_compile_options(-O0 -g)
endif()


# Create the configuration files config.h in the root dir
configure_file(${CMAKE_SOURCE_DIR}/config.h.cmake ${CMAKE_SOURCE_DIR}/config.h)

option(BUILD_TESTING "Build tests" ON)
if (BUILD_TESTING)
  message("Tests are ON")
else()
  message("Tests are OFF")
endif()

include(FindPkgConfig)
pkg_check_modules(GTKMM gtkmm-3.0 REQUIRED)
pkg_check_modules(GTKSVMM gtksourceviewmm-3.0 REQUIRED)
pkg_check_modules(GLIBMM glibmm-2.4>=2.64 REQUIRED)
pkg_check_modules(PANGOMM pangomm-1.4 REQUIRED)
pkg_check_modules(GSPELL gspell-1 REQUIRED)
pkg_check_modules(LIBXML libxml++-2.6 REQUIRED)
pkg_check_modules(SQLITE sqlite3 REQUIRED)
pkg_check_modules(CURL libcurl REQUIRED)
if(BUILD_TESTING)
  pkg_check_modules(CPPUTEST cpputest  REQUIRED)
endif()

add_subdirectory(src/7za)

# Spdlog
add_subdirectory(src/spdlog)


include(FindPackageHandleStandardArgs)

# For both src and tests targets
include_directories(
  SYSTEM ${GTKMM_INCLUDE_DIRS}
  SYSTEM ${GTKSVMM_INCLUDE_DIRS}
  SYSTEM ${GLIBMM_INCLUDE_DIRS}
  SYSTEM ${PANGOMM_INCLUDE_DIRS}
  SYSTEM ${GSPELL_INCLUDE_DIRS}
  SYSTEM ${LIBXML_INCLUDE_DIRS}
  SYSTEM ${SQLITE_INCLUDE_DIRS}
  SYSTEM ${CURL_INCLUDE_DIRS}
  include_directories(.) # to find src/fmt
)

add_subdirectory(src/ct)

if(BUILD_TESTING)
  enable_testing()
  add_subdirectory(tests)
endif()


# rebuild man pages
set(MANFILE_FULL "${CMAKE_SOURCE_DIR}/data/cherrytree.1")
set(MANFILE_FULL_GZ "${MANFILE_FULL}.gz")
add_custom_command(
  OUTPUT ${MANFILE_FULL_GZ}
  COMMAND gzip -f -k --best -n "${MANFILE_FULL}"
)
add_custom_target(man_pages ALL DEPENDS ${MANFILE_FULL_GZ})


# rebuild languages binaries
if(USE_NLS)
  execute_process(
    COMMAND ${PYTHON_EXEC} ${CMAKE_SOURCE_DIR}/po/i18n_po_to_mo.py
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
  )
endif()


# set icon on macos
if(APPLE)
  install(CODE "execute_process(COMMAND ${PYTHON_EXEC} ${CMAKE_SOURCE_DIR}/scripts/set_icon_macos.py ${CMAKE_SOURCE_DIR}/icons/cherrytree.ico ${CMAKE_INSTALL_PREFIX}/bin/cherrytree)")
endif(APPLE)

# install other files
if(${CMAKE_SYSTEM_NAME} MATCHES Linux|.*BSD|DragonFly|Darwin)
  if(NOT APPLE)
    # share data
    install(FILES "${CMAKE_SOURCE_DIR}/data/cherrytree.desktop"
            DESTINATION "${SHARE_INSTALL}/applications")
    install(FILES "${CMAKE_SOURCE_DIR}/icons/cherrytree.svg"
            DESTINATION "${SHARE_INSTALL}/icons/hicolor/scalable/apps")
    install(FILES "${MANFILE_FULL_GZ}"
            DESTINATION "${SHARE_INSTALL}/man/man1")
    install(FILES
            "${CMAKE_SOURCE_DIR}/data/cherrytree.mime"
            "${CMAKE_SOURCE_DIR}/data/cherrytree.keys"
            DESTINATION "${SHARE_INSTALL}/mime-info")
    install(FILES "${CMAKE_SOURCE_DIR}/data/com.giuspen.cherrytree.metainfo.xml"
            DESTINATION "${SHARE_INSTALL}/metainfo")
  endif(NOT APPLE)

  # share/cherrytree data
  install(DIRECTORY ${CMAKE_SOURCE_DIR}/language-specs
          DESTINATION ${CHERRYTREE_SHARE_INSTALL})
  install(FILES
          "${CMAKE_SOURCE_DIR}/data/script3.js"
          "${CMAKE_SOURCE_DIR}/data/styles3.css"
          DESTINATION "${CHERRYTREE_SHARE_INSTALL}/data")

  # locale data
  if(USE_NLS)
    file(GLOB children "${CMAKE_SOURCE_DIR}/po/*")
    foreach(child ${children})
      if(IS_DIRECTORY ${child})
        install(DIRECTORY ${child} DESTINATION "${PACKAGE_LOCALE_DIR}")
      endif()
    endforeach()
  endif()
endif()

=== build/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.18

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Disable VCS-based implicit rules.
% : %,v


# Disable VCS-based implicit rules.
% : RCS/%


# Disable VCS-based implicit rules.
% : RCS/%,v


# Disable VCS-based implicit rules.
% : SCCS/s.%


# Disable VCS-based implicit rules.
% : s.%


.SUFFIXES: .hpux_make_needs_suffix_list


# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/anticap/cherrytree

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/anticap/cherrytree/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test

.PHONY : test/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	/usr/bin/cpack --config ./CPackSourceConfig.cmake /home/anticap/cherrytree/build/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source

.PHONY : package_source/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	/usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package

.PHONY : package/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/anticap/cherrytree/build/CMakeFiles /home/anticap/cherrytree/build//CMakeFiles/progress.marks
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/anticap/cherrytree/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named man_pages

# Build rule for target.
man_pages: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 man_pages
.PHONY : man_pages

# fast build rule for target.
man_pages/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/man_pages.dir/build.make CMakeFiles/man_pages.dir/build
.PHONY : man_pages/fast

#=============================================================================
# Target rules for targets named 7za_static

# Build rule for target.
7za_static: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 7za_static
.PHONY : 7za_static

# fast build rule for target.
7za_static/fast:
	$(MAKE) $(MAKESILENT) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/build
.PHONY : 7za_static/fast

#=============================================================================
# Target rules for targets named spdlog

# Build rule for target.
spdlog: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 spdlog
.PHONY : spdlog

# fast build rule for target.
spdlog/fast:
	$(MAKE) $(MAKESILENT) -f src/spdlog/CMakeFiles/spdlog.dir/build.make src/spdlog/CMakeFiles/spdlog.dir/build
.PHONY : spdlog/fast

#=============================================================================
# Target rules for targets named cherrytree

# Build rule for target.
cherrytree: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 cherrytree
.PHONY : cherrytree

# fast build rule for target.
cherrytree/fast:
	$(MAKE) $(MAKESILENT) -f src/ct/CMakeFiles/cherrytree.dir/build.make src/ct/CMakeFiles/cherrytree.dir/build
.PHONY : cherrytree/fast

#=============================================================================
# Target rules for targets named cherrytree_shared

# Build rule for target.
cherrytree_shared: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 cherrytree_shared
.PHONY : cherrytree_shared

# fast build rule for target.
cherrytree_shared/fast:
	$(MAKE) $(MAKESILENT) -f src/ct/CMakeFiles/cherrytree_shared.dir/build.make src/ct/CMakeFiles/cherrytree_shared.dir/build
.PHONY : cherrytree_shared/fast

#=============================================================================
# Target rules for targets named run_tests

# Build rule for target.
run_tests: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 run_tests
.PHONY : run_tests

# fast build rule for target.
run_tests/fast:
	$(MAKE) $(MAKESILENT) -f tests/CMakeFiles/run_tests.dir/build.make tests/CMakeFiles/run_tests.dir/build
.PHONY : run_tests/fast

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... package"
	@echo "... package_source"
	@echo "... rebuild_cache"
	@echo "... test"
	@echo "... man_pages"
	@echo "... 7za_static"
	@echo "... cherrytree"
	@echo "... cherrytree_shared"
	@echo "... run_tests"
	@echo "... spdlog"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== build/tests/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.18

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Disable VCS-based implicit rules.
% : %,v


# Disable VCS-based implicit rules.
% : RCS/%


# Disable VCS-based implicit rules.
% : RCS/%,v


# Disable VCS-based implicit rules.
% : SCCS/s.%


# Disable VCS-based implicit rules.
% : s.%


.SUFFIXES: .hpux_make_needs_suffix_list


# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/anticap/cherrytree

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/anticap/cherrytree/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test

.PHONY : test/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/anticap/cherrytree/build && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package

.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/anticap/cherrytree/build && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/anticap/cherrytree/build/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source

.PHONY : package_source/fast

# The main all target
all: cmake_check_build_system
	cd /home/anticap/cherrytree/build && $(CMAKE_COMMAND) -E cmake_progress_start /home/anticap/cherrytree/build/CMakeFiles /home/anticap/cherrytree/build/tests//CMakeFiles/progress.marks
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 tests/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/anticap/cherrytree/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 tests/clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 tests/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 tests/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/anticap/cherrytree/build && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
tests/CMakeFiles/run_tests.dir/rule:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 tests/CMakeFiles/run_tests.dir/rule
.PHONY : tests/CMakeFiles/run_tests.dir/rule

# Convenience name for target.
run_tests: tests/CMakeFiles/run_tests.dir/rule

.PHONY : run_tests

# fast build rule for target.
run_tests/fast:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f tests/CMakeFiles/run_tests.dir/build.make tests/CMakeFiles/run_tests.dir/build
.PHONY : run_tests/fast

tests_clipboard.o: tests_clipboard.cpp.o

.PHONY : tests_clipboard.o

# target to build an object file
tests_clipboard.cpp.o:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f tests/CMakeFiles/run_tests.dir/build.make tests/CMakeFiles/run_tests.dir/tests_clipboard.cpp.o
.PHONY : tests_clipboard.cpp.o

tests_clipboard.i: tests_clipboard.cpp.i

.PHONY : tests_clipboard.i

# target to preprocess a source file
tests_clipboard.cpp.i:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f tests/CMakeFiles/run_tests.dir/build.make tests/CMakeFiles/run_tests.dir/tests_clipboard.cpp.i
.PHONY : tests_clipboard.cpp.i

tests_clipboard.s: tests_clipboard.cpp.s

.PHONY : tests_clipboard.s

# target to generate assembly for a file
tests_clipboard.cpp.s:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f tests/CMakeFiles/run_tests.dir/build.make tests/CMakeFiles/run_tests.dir/tests_clipboard.cpp.s
.PHONY : tests_clipboard.cpp.s

tests_encoding.o: tests_encoding.cpp.o

.PHONY : tests_encoding.o

# target to build an object file
tests_encoding.cpp.o:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f tests/CMakeFiles/run_tests.dir/build.make tests/CMakeFiles/run_tests.dir/tests_encoding.cpp.o
.PHONY : tests_encoding.cpp.o

tests_encoding.i: tests_encoding.cpp.i

.PHONY : tests_encoding.i

# target to preprocess a source file
tests_encoding.cpp.i:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f tests/CMakeFiles/run_tests.dir/build.make tests/CMakeFiles/run_tests.dir/tests_encoding.cpp.i
.PHONY : tests_encoding.cpp.i

tests_encoding.s: tests_encoding.cpp.s

.PHONY : tests_encoding.s

# target to generate assembly for a file
tests_encoding.cpp.s:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f tests/CMakeFiles/run_tests.dir/build.make tests/CMakeFiles/run_tests.dir/tests_encoding.cpp.s
.PHONY : tests_encoding.cpp.s

tests_filesystem.o: tests_filesystem.cpp.o

.PHONY : tests_filesystem.o

# target to build an object file
tests_filesystem.cpp.o:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f tests/CMakeFiles/run_tests.dir/build.make tests/CMakeFiles/run_tests.dir/tests_filesystem.cpp.o
.PHONY : tests_filesystem.cpp.o

tests_filesystem.i: tests_filesystem.cpp.i

.PHONY : tests_filesystem.i

# target to preprocess a source file
tests_filesystem.cpp.i:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f tests/CMakeFiles/run_tests.dir/build.make tests/CMakeFiles/run_tests.dir/tests_filesystem.cpp.i
.PHONY : tests_filesystem.cpp.i

tests_filesystem.s: tests_filesystem.cpp.s

.PHONY : tests_filesystem.s

# target to generate assembly for a file
tests_filesystem.cpp.s:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f tests/CMakeFiles/run_tests.dir/build.make tests/CMakeFiles/run_tests.dir/tests_filesystem.cpp.s
.PHONY : tests_filesystem.cpp.s

tests_main.o: tests_main.cpp.o

.PHONY : tests_main.o

# target to build an object file
tests_main.cpp.o:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f tests/CMakeFiles/run_tests.dir/build.make tests/CMakeFiles/run_tests.dir/tests_main.cpp.o
.PHONY : tests_main.cpp.o

tests_main.i: tests_main.cpp.i

.PHONY : tests_main.i

# target to preprocess a source file
tests_main.cpp.i:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f tests/CMakeFiles/run_tests.dir/build.make tests/CMakeFiles/run_tests.dir/tests_main.cpp.i
.PHONY : tests_main.cpp.i

tests_main.s: tests_main.cpp.s

.PHONY : tests_main.s

# target to generate assembly for a file
tests_main.cpp.s:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f tests/CMakeFiles/run_tests.dir/build.make tests/CMakeFiles/run_tests.dir/tests_main.cpp.s
.PHONY : tests_main.cpp.s

tests_misc_utils.o: tests_misc_utils.cpp.o

.PHONY : tests_misc_utils.o

# target to build an object file
tests_misc_utils.cpp.o:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f tests/CMakeFiles/run_tests.dir/build.make tests/CMakeFiles/run_tests.dir/tests_misc_utils.cpp.o
.PHONY : tests_misc_utils.cpp.o

tests_misc_utils.i: tests_misc_utils.cpp.i

.PHONY : tests_misc_utils.i

# target to preprocess a source file
tests_misc_utils.cpp.i:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f tests/CMakeFiles/run_tests.dir/build.make tests/CMakeFiles/run_tests.dir/tests_misc_utils.cpp.i
.PHONY : tests_misc_utils.cpp.i

tests_misc_utils.s: tests_misc_utils.cpp.s

.PHONY : tests_misc_utils.s

# target to generate assembly for a file
tests_misc_utils.cpp.s:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f tests/CMakeFiles/run_tests.dir/build.make tests/CMakeFiles/run_tests.dir/tests_misc_utils.cpp.s
.PHONY : tests_misc_utils.cpp.s

tests_read_write.o: tests_read_write.cpp.o

.PHONY : tests_read_write.o

# target to build an object file
tests_read_write.cpp.o:

=== src/ct/CMakeLists.txt ===

add_compile_options(-Wall -Wextra -Wunreachable-code -Wuninitialized)

if(USE_NLS)
    add_definitions(-DHAVE_NLS)
endif()

# Generating icons
execute_process(
    COMMAND ${PYTHON_EXEC} ${CMAKE_SOURCE_DIR}/scripts/gresource_to_c.py
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
)

# Generating rc file (with icon) for windows
if(MINGW)
    add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/cherrytree_rc.o
                       COMMAND windres.exe -I${CMAKE_SOURCE_DIR}/icons 
                                           -i${CMAKE_SOURCE_DIR}/data/windows.rc
                                           -o ${CMAKE_CURRENT_BINARY_DIR}/cherrytree_rc.o )
    set(CHERRY_EXE_RC ${CMAKE_CURRENT_BINARY_DIR}/cherrytree_rc.o)
endif(MINGW)


set(CT_SHARED_FILES
    ct_actions_edit.cc
    ct_actions_export.cc
    ct_actions_file.cc
    ct_actions_find.cc
    ct_actions_format.cc
    ct_actions_others.cc
    ct_actions_import.cc
    ct_actions_tree.cc
    ct_actions_view.cc
    ct_actions_help.cc
    ct_app.cc
    ct_clipboard.cc
    ct_codebox.cc
    ct_config.cc
    ct_dialogs.cc
    ct_export2html.cc
    ct_export2pdf.cc
    ct_export2txt.cc
    ct_image.cc
    ct_imports.cc
    ct_list.cc
    ct_main_win.cc
    ct_menu.cc
    ct_misc_utils.cc
    ct_p7za_iface.cc
    ct_pref_dlg.cc
    ct_state_machine.cc
    ct_storage_control.cc
    ct_storage_sqlite.cc
    ct_storage_xml.cc
    ct_table.cc
    ct_treestore.cc
    ct_widgets.cc
    ct_parser_text.cc
    ct_parser_md.cc
    ct_parser_html.cc
    ct_parser.cc
    ct_process.cc
    ct_filesystem.cc
    ct_column_edit.cc
)

add_library(cherrytree_shared STATIC ${CT_SHARED_FILES})
target_link_libraries(cherrytree_shared
    ${GTKMM_LIBRARIES}
    ${GTKSVMM_LIBRARIES}
    ${GLIBMM_LIBRARIES}
    ${PANGOMM_LIBRARIES}
    ${GSPELL_LIBRARIES}
    ${LIBXML_LIBRARIES}
    ${SQLITE_LIBRARIES}
    ${CURL_LIBRARIES}
    pthread
    7za_static
    spdlog::spdlog
)

target_include_directories(cherrytree_shared PUBLIC "..")

add_executable(cherrytree ct_main.cc icons.gresource.cc ${CHERRY_EXE_RC})
target_link_libraries(cherrytree cherrytree_shared)

if(APPLE)
    target_link_libraries(cherrytree "-framework Foundation -framework AppKit")
elseif(WIN32)
    target_link_libraries(cherrytree "-mwindows")
endif()

set_target_properties(cherrytree PROPERTIES RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}")

# install cherrytree
install(TARGETS cherrytree RUNTIME DESTINATION bin)

=== build/src/7za/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.18

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Disable VCS-based implicit rules.
% : %,v


# Disable VCS-based implicit rules.
% : RCS/%


# Disable VCS-based implicit rules.
% : RCS/%,v


# Disable VCS-based implicit rules.
% : SCCS/s.%


# Disable VCS-based implicit rules.
% : s.%


.SUFFIXES: .hpux_make_needs_suffix_list


# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/anticap/cherrytree

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/anticap/cherrytree/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test

.PHONY : test/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/anticap/cherrytree/build && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/anticap/cherrytree/build/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source

.PHONY : package_source/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/anticap/cherrytree/build && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package

.PHONY : package/fast

# The main all target
all: cmake_check_build_system
	cd /home/anticap/cherrytree/build && $(CMAKE_COMMAND) -E cmake_progress_start /home/anticap/cherrytree/build/CMakeFiles /home/anticap/cherrytree/build/src/7za//CMakeFiles/progress.marks
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/7za/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/anticap/cherrytree/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/7za/clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/7za/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/7za/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/anticap/cherrytree/build && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
src/7za/CMakeFiles/7za_static.dir/rule:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/7za/CMakeFiles/7za_static.dir/rule
.PHONY : src/7za/CMakeFiles/7za_static.dir/rule

# Convenience name for target.
7za_static: src/7za/CMakeFiles/7za_static.dir/rule

.PHONY : 7za_static

# fast build rule for target.
7za_static/fast:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/build
.PHONY : 7za_static/fast

C/7zCrc.o: C/7zCrc.c.o

.PHONY : C/7zCrc.o

# target to build an object file
C/7zCrc.c.o:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/C/7zCrc.c.o
.PHONY : C/7zCrc.c.o

C/7zCrc.i: C/7zCrc.c.i

.PHONY : C/7zCrc.i

# target to preprocess a source file
C/7zCrc.c.i:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/C/7zCrc.c.i
.PHONY : C/7zCrc.c.i

C/7zCrc.s: C/7zCrc.c.s

.PHONY : C/7zCrc.s

# target to generate assembly for a file
C/7zCrc.c.s:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/C/7zCrc.c.s
.PHONY : C/7zCrc.c.s

C/7zCrcOpt.o: C/7zCrcOpt.c.o

.PHONY : C/7zCrcOpt.o

# target to build an object file
C/7zCrcOpt.c.o:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/C/7zCrcOpt.c.o
.PHONY : C/7zCrcOpt.c.o

C/7zCrcOpt.i: C/7zCrcOpt.c.i

.PHONY : C/7zCrcOpt.i

# target to preprocess a source file
C/7zCrcOpt.c.i:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/C/7zCrcOpt.c.i
.PHONY : C/7zCrcOpt.c.i

C/7zCrcOpt.s: C/7zCrcOpt.c.s

.PHONY : C/7zCrcOpt.s

# target to generate assembly for a file
C/7zCrcOpt.c.s:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/C/7zCrcOpt.c.s
.PHONY : C/7zCrcOpt.c.s

C/7zStream.o: C/7zStream.c.o

.PHONY : C/7zStream.o

# target to build an object file
C/7zStream.c.o:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/C/7zStream.c.o
.PHONY : C/7zStream.c.o

C/7zStream.i: C/7zStream.c.i

.PHONY : C/7zStream.i

# target to preprocess a source file
C/7zStream.c.i:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/C/7zStream.c.i
.PHONY : C/7zStream.c.i

C/7zStream.s: C/7zStream.c.s

.PHONY : C/7zStream.s

# target to generate assembly for a file
C/7zStream.c.s:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/C/7zStream.c.s
.PHONY : C/7zStream.c.s

C/Aes.o: C/Aes.c.o

.PHONY : C/Aes.o

# target to build an object file
C/Aes.c.o:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/C/Aes.c.o
.PHONY : C/Aes.c.o

C/Aes.i: C/Aes.c.i

.PHONY : C/Aes.i

# target to preprocess a source file
C/Aes.c.i:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/C/Aes.c.i
.PHONY : C/Aes.c.i

C/Aes.s: C/Aes.c.s

.PHONY : C/Aes.s

# target to generate assembly for a file
C/Aes.c.s:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/C/Aes.c.s
.PHONY : C/Aes.c.s

C/Alloc.o: C/Alloc.c.o

.PHONY : C/Alloc.o

# target to build an object file
C/Alloc.c.o:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/C/Alloc.c.o
.PHONY : C/Alloc.c.o

C/Alloc.i: C/Alloc.c.i

.PHONY : C/Alloc.i

# target to preprocess a source file
C/Alloc.c.i:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/C/Alloc.c.i
.PHONY : C/Alloc.c.i

C/Alloc.s: C/Alloc.c.s

.PHONY : C/Alloc.s

# target to generate assembly for a file
C/Alloc.c.s:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/C/Alloc.c.s
.PHONY : C/Alloc.c.s

C/Bcj2.o: C/Bcj2.c.o

.PHONY : C/Bcj2.o

# target to build an object file
C/Bcj2.c.o:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/C/Bcj2.c.o
.PHONY : C/Bcj2.c.o

C/Bcj2.i: C/Bcj2.c.i

.PHONY : C/Bcj2.i

# target to preprocess a source file
C/Bcj2.c.i:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/C/Bcj2.c.i
.PHONY : C/Bcj2.c.i

C/Bcj2.s: C/Bcj2.c.s

.PHONY : C/Bcj2.s

# target to generate assembly for a file
C/Bcj2.c.s:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/C/Bcj2.c.s
.PHONY : C/Bcj2.c.s

=== build/src/ct/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.18

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Disable VCS-based implicit rules.
% : %,v


# Disable VCS-based implicit rules.
% : RCS/%


# Disable VCS-based implicit rules.
% : RCS/%,v


# Disable VCS-based implicit rules.
% : SCCS/s.%


# Disable VCS-based implicit rules.
% : s.%


.SUFFIXES: .hpux_make_needs_suffix_list


# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/anticap/cherrytree

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/anticap/cherrytree/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test

.PHONY : test/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/anticap/cherrytree/build && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/anticap/cherrytree/build/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source

.PHONY : package_source/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/anticap/cherrytree/build && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package

.PHONY : package/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /home/anticap/cherrytree/build && $(CMAKE_COMMAND) -E cmake_progress_start /home/anticap/cherrytree/build/CMakeFiles /home/anticap/cherrytree/build/src/ct//CMakeFiles/progress.marks
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/ct/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/anticap/cherrytree/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/ct/clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/ct/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/ct/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/anticap/cherrytree/build && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
src/ct/CMakeFiles/cherrytree.dir/rule:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/ct/CMakeFiles/cherrytree.dir/rule
.PHONY : src/ct/CMakeFiles/cherrytree.dir/rule

# Convenience name for target.
cherrytree: src/ct/CMakeFiles/cherrytree.dir/rule

.PHONY : cherrytree

# fast build rule for target.
cherrytree/fast:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/ct/CMakeFiles/cherrytree.dir/build.make src/ct/CMakeFiles/cherrytree.dir/build
.PHONY : cherrytree/fast

# Convenience name for target.
src/ct/CMakeFiles/cherrytree_shared.dir/rule:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/ct/CMakeFiles/cherrytree_shared.dir/rule
.PHONY : src/ct/CMakeFiles/cherrytree_shared.dir/rule

# Convenience name for target.
cherrytree_shared: src/ct/CMakeFiles/cherrytree_shared.dir/rule

.PHONY : cherrytree_shared

# fast build rule for target.
cherrytree_shared/fast:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/ct/CMakeFiles/cherrytree_shared.dir/build.make src/ct/CMakeFiles/cherrytree_shared.dir/build
.PHONY : cherrytree_shared/fast

ct_actions_edit.o: ct_actions_edit.cc.o

.PHONY : ct_actions_edit.o

# target to build an object file
ct_actions_edit.cc.o:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/ct/CMakeFiles/cherrytree_shared.dir/build.make src/ct/CMakeFiles/cherrytree_shared.dir/ct_actions_edit.cc.o
.PHONY : ct_actions_edit.cc.o

ct_actions_edit.i: ct_actions_edit.cc.i

.PHONY : ct_actions_edit.i

# target to preprocess a source file
ct_actions_edit.cc.i:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/ct/CMakeFiles/cherrytree_shared.dir/build.make src/ct/CMakeFiles/cherrytree_shared.dir/ct_actions_edit.cc.i
.PHONY : ct_actions_edit.cc.i

ct_actions_edit.s: ct_actions_edit.cc.s

.PHONY : ct_actions_edit.s

# target to generate assembly for a file
ct_actions_edit.cc.s:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/ct/CMakeFiles/cherrytree_shared.dir/build.make src/ct/CMakeFiles/cherrytree_shared.dir/ct_actions_edit.cc.s
.PHONY : ct_actions_edit.cc.s

ct_actions_export.o: ct_actions_export.cc.o

.PHONY : ct_actions_export.o

# target to build an object file
ct_actions_export.cc.o:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/ct/CMakeFiles/cherrytree_shared.dir/build.make src/ct/CMakeFiles/cherrytree_shared.dir/ct_actions_export.cc.o
.PHONY : ct_actions_export.cc.o

ct_actions_export.i: ct_actions_export.cc.i

.PHONY : ct_actions_export.i

# target to preprocess a source file
ct_actions_export.cc.i:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/ct/CMakeFiles/cherrytree_shared.dir/build.make src/ct/CMakeFiles/cherrytree_shared.dir/ct_actions_export.cc.i
.PHONY : ct_actions_export.cc.i

ct_actions_export.s: ct_actions_export.cc.s

.PHONY : ct_actions_export.s

# target to generate assembly for a file
ct_actions_export.cc.s:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/ct/CMakeFiles/cherrytree_shared.dir/build.make src/ct/CMakeFiles/cherrytree_shared.dir/ct_actions_export.cc.s
.PHONY : ct_actions_export.cc.s

ct_actions_file.o: ct_actions_file.cc.o

.PHONY : ct_actions_file.o

# target to build an object file
ct_actions_file.cc.o:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/ct/CMakeFiles/cherrytree_shared.dir/build.make src/ct/CMakeFiles/cherrytree_shared.dir/ct_actions_file.cc.o
.PHONY : ct_actions_file.cc.o

ct_actions_file.i: ct_actions_file.cc.i

.PHONY : ct_actions_file.i

# target to preprocess a source file
ct_actions_file.cc.i:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/ct/CMakeFiles/cherrytree_shared.dir/build.make src/ct/CMakeFiles/cherrytree_shared.dir/ct_actions_file.cc.i
.PHONY : ct_actions_file.cc.i

ct_actions_file.s: ct_actions_file.cc.s

.PHONY : ct_actions_file.s

# target to generate assembly for a file
ct_actions_file.cc.s:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/ct/CMakeFiles/cherrytree_shared.dir/build.make src/ct/CMakeFiles/cherrytree_shared.dir/ct_actions_file.cc.s
.PHONY : ct_actions_file.cc.s

ct_actions_find.o: ct_actions_find.cc.o

.PHONY : ct_actions_find.o

# target to build an object file
ct_actions_find.cc.o:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/ct/CMakeFiles/cherrytree_shared.dir/build.make src/ct/CMakeFiles/cherrytree_shared.dir/ct_actions_find.cc.o
.PHONY : ct_actions_find.cc.o

ct_actions_find.i: ct_actions_find.cc.i

.PHONY : ct_actions_find.i

# target to preprocess a source file
ct_actions_find.cc.i:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/ct/CMakeFiles/cherrytree_shared.dir/build.make src/ct/CMakeFiles/cherrytree_shared.dir/ct_actions_find.cc.i
.PHONY : ct_actions_find.cc.i

ct_actions_find.s: ct_actions_find.cc.s

.PHONY : ct_actions_find.s

# target to generate assembly for a file
ct_actions_find.cc.s:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/ct/CMakeFiles/cherrytree_shared.dir/build.make src/ct/CMakeFiles/cherrytree_shared.dir/ct_actions_find.cc.s
.PHONY : ct_actions_find.cc.s

ct_actions_format.o: ct_actions_format.cc.o

.PHONY : ct_actions_format.o

# target to build an object file
ct_actions_format.cc.o:

=== build/src/spdlog/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.18

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Disable VCS-based implicit rules.
% : %,v


# Disable VCS-based implicit rules.
% : RCS/%


# Disable VCS-based implicit rules.
% : RCS/%,v


# Disable VCS-based implicit rules.
% : SCCS/s.%


# Disable VCS-based implicit rules.
% : s.%


.SUFFIXES: .hpux_make_needs_suffix_list


# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/anticap/cherrytree

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/anticap/cherrytree/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test

.PHONY : test/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/anticap/cherrytree/build && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/anticap/cherrytree/build/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source

.PHONY : package_source/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/anticap/cherrytree/build && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package

.PHONY : package/fast

# The main all target
all: cmake_check_build_system
	cd /home/anticap/cherrytree/build && $(CMAKE_COMMAND) -E cmake_progress_start /home/anticap/cherrytree/build/CMakeFiles /home/anticap/cherrytree/build/src/spdlog//CMakeFiles/progress.marks
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/spdlog/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/anticap/cherrytree/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/spdlog/clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/spdlog/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/spdlog/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/anticap/cherrytree/build && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
src/spdlog/CMakeFiles/spdlog.dir/rule:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/spdlog/CMakeFiles/spdlog.dir/rule
.PHONY : src/spdlog/CMakeFiles/spdlog.dir/rule

# Convenience name for target.
spdlog: src/spdlog/CMakeFiles/spdlog.dir/rule

.PHONY : spdlog

# fast build rule for target.
spdlog/fast:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/spdlog/CMakeFiles/spdlog.dir/build.make src/spdlog/CMakeFiles/spdlog.dir/build
.PHONY : spdlog/fast

# target to build an object file
cmake_pch.hxx.gch:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/spdlog/CMakeFiles/spdlog.dir/build.make src/spdlog/CMakeFiles/spdlog.dir/cmake_pch.hxx.gch
.PHONY : cmake_pch.hxx.gch

# target to preprocess a source file
cmake_pch.hxx.i:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/spdlog/CMakeFiles/spdlog.dir/build.make src/spdlog/CMakeFiles/spdlog.dir/cmake_pch.hxx.i
.PHONY : cmake_pch.hxx.i

# target to generate assembly for a file
cmake_pch.hxx.s:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/spdlog/CMakeFiles/spdlog.dir/build.make src/spdlog/CMakeFiles/spdlog.dir/cmake_pch.hxx.s
.PHONY : cmake_pch.hxx.s

src/async.o: src/async.cpp.o

.PHONY : src/async.o

# target to build an object file
src/async.cpp.o:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/spdlog/CMakeFiles/spdlog.dir/build.make src/spdlog/CMakeFiles/spdlog.dir/src/async.cpp.o
.PHONY : src/async.cpp.o

src/async.i: src/async.cpp.i

.PHONY : src/async.i

# target to preprocess a source file
src/async.cpp.i:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/spdlog/CMakeFiles/spdlog.dir/build.make src/spdlog/CMakeFiles/spdlog.dir/src/async.cpp.i
.PHONY : src/async.cpp.i

src/async.s: src/async.cpp.s

.PHONY : src/async.s

# target to generate assembly for a file
src/async.cpp.s:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/spdlog/CMakeFiles/spdlog.dir/build.make src/spdlog/CMakeFiles/spdlog.dir/src/async.cpp.s
.PHONY : src/async.cpp.s

src/cfg.o: src/cfg.cpp.o

.PHONY : src/cfg.o

# target to build an object file
src/cfg.cpp.o:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/spdlog/CMakeFiles/spdlog.dir/build.make src/spdlog/CMakeFiles/spdlog.dir/src/cfg.cpp.o
.PHONY : src/cfg.cpp.o

src/cfg.i: src/cfg.cpp.i

.PHONY : src/cfg.i

# target to preprocess a source file
src/cfg.cpp.i:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/spdlog/CMakeFiles/spdlog.dir/build.make src/spdlog/CMakeFiles/spdlog.dir/src/cfg.cpp.i
.PHONY : src/cfg.cpp.i

src/cfg.s: src/cfg.cpp.s

.PHONY : src/cfg.s

# target to generate assembly for a file
src/cfg.cpp.s:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/spdlog/CMakeFiles/spdlog.dir/build.make src/spdlog/CMakeFiles/spdlog.dir/src/cfg.cpp.s
.PHONY : src/cfg.cpp.s

src/color_sinks.o: src/color_sinks.cpp.o

.PHONY : src/color_sinks.o

# target to build an object file
src/color_sinks.cpp.o:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/spdlog/CMakeFiles/spdlog.dir/build.make src/spdlog/CMakeFiles/spdlog.dir/src/color_sinks.cpp.o
.PHONY : src/color_sinks.cpp.o

src/color_sinks.i: src/color_sinks.cpp.i

.PHONY : src/color_sinks.i

# target to preprocess a source file
src/color_sinks.cpp.i:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/spdlog/CMakeFiles/spdlog.dir/build.make src/spdlog/CMakeFiles/spdlog.dir/src/color_sinks.cpp.i
.PHONY : src/color_sinks.cpp.i

src/color_sinks.s: src/color_sinks.cpp.s

.PHONY : src/color_sinks.s

# target to generate assembly for a file
src/color_sinks.cpp.s:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/spdlog/CMakeFiles/spdlog.dir/build.make src/spdlog/CMakeFiles/spdlog.dir/src/color_sinks.cpp.s
.PHONY : src/color_sinks.cpp.s

src/file_sinks.o: src/file_sinks.cpp.o

.PHONY : src/file_sinks.o

# target to build an object file
src/file_sinks.cpp.o:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/spdlog/CMakeFiles/spdlog.dir/build.make src/spdlog/CMakeFiles/spdlog.dir/src/file_sinks.cpp.o
.PHONY : src/file_sinks.cpp.o

src/file_sinks.i: src/file_sinks.cpp.i

.PHONY : src/file_sinks.i

# target to preprocess a source file
src/file_sinks.cpp.i:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/spdlog/CMakeFiles/spdlog.dir/build.make src/spdlog/CMakeFiles/spdlog.dir/src/file_sinks.cpp.i
.PHONY : src/file_sinks.cpp.i

src/file_sinks.s: src/file_sinks.cpp.s

.PHONY : src/file_sinks.s

# target to generate assembly for a file
src/file_sinks.cpp.s:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/spdlog/CMakeFiles/spdlog.dir/build.make src/spdlog/CMakeFiles/spdlog.dir/src/file_sinks.cpp.s
.PHONY : src/file_sinks.cpp.s

src/fmt.o: src/fmt.cpp.o

.PHONY : src/fmt.o

# target to build an object file
src/fmt.cpp.o:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/spdlog/CMakeFiles/spdlog.dir/build.make src/spdlog/CMakeFiles/spdlog.dir/src/fmt.cpp.o
.PHONY : src/fmt.cpp.o

src/fmt.i: src/fmt.cpp.i

.PHONY : src/fmt.i

# target to preprocess a source file
src/fmt.cpp.i:
	cd /home/anticap/cherrytree/build && $(MAKE) $(MAKESILENT) -f src/spdlog/CMakeFiles/spdlog.dir/build.make src/spdlog/CMakeFiles/spdlog.dir/src/fmt.cpp.i
.PHONY : src/fmt.cpp.i

src/fmt.s: src/fmt.cpp.s

.PHONY : src/fmt.s

=== debian/changelog ===
cherrytree (0.99.10-1.antix1) unstable; urgency=medium

  * antiX build 

 -- anticapitalista <antix@operamail.com>  Fri, 04 Sep 2020 16:35:24 +0300

cherrytree (0.99.10-1) focal; urgency=low

  * public development version


 -- Giuseppe Penone <giuspen@gmail.com>  Thu, 03 Sep 2020 21:04:49 +0100

=== debian/control ===
Source: cherrytree
Section: editors
Priority: optional
Maintainer: Giuseppe Penone <giuspen@gmail.com>
Build-Depends:
 debhelper (>= 9),
 desktop-file-utils,
 gettext,
 python3-lxml,
 cmake (>= 3.13.2),
 libcpputest-dev,
 libxml2-utils,
 libgtkmm-3.0-dev,
 libgtksourceviewmm-3.0-dev,
 libxml++2.6-dev,
 libsqlite3-dev,
 libgspell-1-dev,
 libcurl4-openssl-dev
Standards-Version: 3.9.5
Homepage: https://www.giuspen.com/cherrytree/
Vcs-Git: https://github.com/giuspen/cherrytree.git
Vcs-Browser: https://github.com/giuspen/cherrytree

Package: cherrytree
Architecture: any
Depends:
 libgtkmm-3.0-1v5,
 libgtksourceviewmm-3.0-0v5,
 libxml++2.6-2v5,
 libsqlite3-0,
 libgspell-1-2,
 libcurl4,
 ${misc:Depends},
 ${shlibs:Depends}
Description: hierarchical note taking application
 CherryTree is a hierarchical note taking application, featuring rich text,
 syntax highlighting, images handling, hyperlinks, import/export with support
 for multiple formats, support for multiple languages, and more.
